%define name	gnome-sensors-applet
%define version 1.7.8
%define release %mkrel 3

Name: 	 	%{name}
Summary: 	Detailed hardware monitoring applet for GNOME2
Version: 	%{version}
Release: 	%{release}

Source:		sensors-applet-%{version}.tar.bz2
URL:		http://sensors-applet.sourceforge.net/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpanel-applet-2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils libxslt-proc
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

%prep
%setup -q -n sensors-applet-%version

%build
%configure2_5x --disable-scrollkeeper --prefix=/usr
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f %buildroot%_datadir/icons/hicolor/icon-theme.cache
%find_lang sensors-applet

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_scrollkeeper

%postun
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f sensors-applet.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/sensors-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/sensors-applet
%dir %{_datadir}/omf/sensors-applet
%{_datadir}/omf/sensors-applet/*-C.omf
%_datadir/icons/hicolor/*/*/*.png

%changelog
* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 1.7.8-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 1.7.8-2mdv2007.0
- handle scrollkeeper
- remove icon cache, it doesn't belong here

* Thu Aug 24 2006 Jerome Soyer <saispo@mandriva.org> 1.7.8-1mdv2007.0
- New release 1.7.8

* Tue Aug 22 2006 Jerome Soyer <saispo@mandriva.org> 1.7.7-1mdv2007.0
- New release 1.7.7

* Mon Aug 07 2006 Jerome Soyer <saispo@mandriva.org> 1.7.6-1mdv2007.0
- New release 1.7.6

* Mon Jul 24 2006 Jerome Soyer <saispo@mandriva.org> 1.7.5-1mdv2007.0
- New release 1.7.5

* Sat Apr 15 2006 Austin Acton <austin@mandriva.org> 1.6.1-1mdk
- New release 1.6.1

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-2mdk
- BuildRequires fix

* Sat Oct 01 2005 Austin Acton <austin@mandriva.org> 1.5-1mdk
- New release 1.5

* Thu Jul 07 2005 Austin Acton <austin@mandriva.org> 1.2-1mdk
- New release 1.2

* Fri Jul 01 2005 Austin Acton <austin@mandriva.org> 1.0-1mdk
- New release 1.0

* Sat Jun 04 2005 Austin Acton <austin@mandriva.org> 0.7.3-1mdk
- New release 0.7.3

* Tue Apr 19 2005 Austin Acton <austin@mandrake.org> 0.7.2-1mdk
- New release 0.7.2

* Mon Apr 04 2005 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- New release 0.7.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.7-1mdk
- 0.7

* Sun Feb 20 2005 Austin Acton <austin@mandrake.org> 0.6.2-1mdk
- 0.6.2

* Wed Feb 16 2005 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Sat Feb 5 2005 Austin Acton <austin@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Tue Feb 1 2005 Austin Acton <austin@mandrake.org> 0.5.0-1mdk
- 0.5.0

* Mon Jan 31 2005 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.2.2-2mdk
- add TODO at author's request

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.1-1mdk
- initial package
